# PSF-LoginServer - master - net.psforever.objects.vehicles.Utility
PSF - LoginServer - master - net.psforever.objects.vehicles.Utility
Keywords: PSF LoginServer master net.psforever.objects.vehicles.Utility

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vehicles
  Definition Classes
    objects
-  package control
  Definition Classes
    vehicles
- AccessPermissionGroup
- AntTransferBehavior
- Cargo
- CargoBehavior
- CargoVehicleRestriction
- DestroyedVehicle
- InternalTelepadDefinition
- ManifestPassengerEntry
- MountableWeapons
- MountableWeaponsDefinition
- MountedWeapons
- MountedWeaponsDefinition
- SeatArmorRestriction
- Turrets
- Utility
- UtilityType
- VehicleLockState
- VehicleManifest

o

net.psforever.objects.vehicles

# Utility 

###
Companion class Utility

#### object Utility

Source
  Utility.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Utility
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  class InternalTelepad extends Amenity with UtilityWorldEntity with TelepadLike

   The internal telepad is a component that is contained by the Router when it deploys and allows it to serve as one of the terminal points of a Router-telepad teleportation system.

2.  class InternalTelepadDefinition extends AmenityDefinition with BaseDeployableDefinition

   As the `InternalTelepad` object is a unique intersection of `Amenity` and `TelepadLike` that is treated like a `Deployable`, its definition must be a unique intersection of `AmenityDefinition` and `BaseDeployableDefinition`.

   As the `InternalTelepad` object is a unique intersection of `Amenity` and `TelepadLike` that is treated like a `Deployable`, its definition must be a unique intersection of `AmenityDefinition` and `BaseDeployableDefinition`.

   See also

     `AmenityDefinition`

     `BaseDeployableDefinition`

     `DeployableDefinition`

3.  class ProximityTerminalUtility extends ProximityTerminal with UtilityWorldEntity

   Override for a `Terminal` object so that it inherits the spatial characteristics of its `Owner`.

   Override for a `Terminal` object so that it inherits the spatial characteristics of its `Owner`. The `Terminal` `Utility` produced has proximity effects.

4.  class SpawnTubeUtility extends SpawnTube with UtilityWorldEntity

   Override for `SpawnTube` objects so that they inherit the spatial characteristics of their `Owner`.

5.  class TeleportPadTerminalUtility extends TerminalUtility

   Override for a `Terminal` object so that it inherits the spatial characteristics of its `Owner`.

   Override for a `Terminal` object so that it inherits the spatial characteristics of its `Owner`. The `Terminal` `Utility` produced dispenses a specific item that retain knowledge of the `Owner` of the `Terminal` that dispensed it.

6.  class TerminalUtility extends Terminal with UtilityWorldEntity

   Override for a `Terminal` object so that it inherits the spatial characteristics of its `Owner`.

7.  type UtilLogic = (Amenity, ActorContext) => Unit
8.  sealed trait UtilityWorldEntity extends AnyRef

   Embedded (owned) entities are known in relation to their parent entity.

   Embedded (owned) entities are known in relation to their parent entity. These overrides to the `Position` method and the `Orientation` method reflect this.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(util: UtilityType.Value, vehicle: Vehicle): Utility

   Overloaded constructor.

   Overloaded constructor.

   util

     the type of the `Amenity` object to be created

   vehicle

     the owner of this object

   returns

     a `Utility` object

5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped